import { CommonOptions } from '../Core/RouteGenerator';
import Session from '../Services/Identity/Session';
import { BaseSearchQuery, CustomerNameSearchResponse, CustomerOriginalPhoneSearchResponse, ParkingSpotsSearchQuery, ParkingSpotsSearchResponse, PlannedRouteSearchResponse, RunsSearchResponse, TasksExternalIdSearchResponse, TasksTitleSearchResponse, TeamsSearchResponse, UsersSearchQuery, UsersSearchResponse, WaypointAddressSearchResponse, WaypointCitySearchResponse, WaypointPhoneSearchResponse, WaypointPropertySearchQuery, WaypointZipcodeSearchResponse } from './lookup.consts';
export declare const Routes: {
    GET_USERS: string;
    GET_RUNS: string;
    GET_TASKS_BY_EXTERNAL_ID: string;
    GET_TASKS_TITLES: string;
    GET_PLANNED_ROUTES: string;
    GET_TEAMS: string;
    GET_PARKING_SPOTS: string;
    GET_WAYPOINT_ZIPCODE: string;
    GET_WAYPOINT_ADDRESS: string;
    GET_WAYPOINT_NAMES: string;
    GET_WAYPOINT_PHONE: string;
    GET_WAYPOINT_CITY: string;
    GET_CUSTOMER_NAMES: string;
    GET_CUSTOMER_ORIGINAL_PHONES: string;
};
export default class LookupService {
    private readonly service;
    constructor(session: Session);
    getUsers(query: UsersSearchQuery, commonOptions?: CommonOptions): Promise<UsersSearchResponse>;
    getRuns(query: BaseSearchQuery, commonOptions?: CommonOptions): Promise<RunsSearchResponse>;
    getTasksByExternalId(query: BaseSearchQuery, commonOptions?: CommonOptions): Promise<TasksExternalIdSearchResponse>;
    getTasksTitles(query: BaseSearchQuery, commonOptions?: CommonOptions): Promise<TasksTitleSearchResponse>;
    getPlannedRoutes(query: BaseSearchQuery, commonOptions?: CommonOptions): Promise<PlannedRouteSearchResponse>;
    getTeams(query: BaseSearchQuery, commonOptions?: CommonOptions): Promise<TeamsSearchResponse>;
    getWaypointZipcodes(query: WaypointPropertySearchQuery, commonOptions?: CommonOptions): Promise<WaypointZipcodeSearchResponse>;
    getWaypointAddresses(query: WaypointPropertySearchQuery, commonOptions?: CommonOptions): Promise<WaypointAddressSearchResponse>;
    getWaypointCities(query: WaypointPropertySearchQuery, commonOptions?: CommonOptions): Promise<WaypointCitySearchResponse>;
    getWaypointPhones(query: WaypointPropertySearchQuery, commonOptions?: CommonOptions): Promise<WaypointPhoneSearchResponse>;
    getCustomerNames(query: BaseSearchQuery, commonOptions?: CommonOptions): Promise<CustomerNameSearchResponse>;
    getWaypointNames(query: BaseSearchQuery, commonOptions?: CommonOptions): Promise<CustomerNameSearchResponse>;
    getCustomerOriginalPhones(query: BaseSearchQuery, commonOptions?: CommonOptions): Promise<CustomerOriginalPhoneSearchResponse>;
    getParkingSpots(query: ParkingSpotsSearchQuery, commonOptions?: CommonOptions): Promise<ParkingSpotsSearchResponse>;
}
